	import * as THREE from 'three';
	import { OrbitControls } from '/threejs/node_modules/three/examples/jsm/controls/OrbitControls.js';
	import { GLTFLoader } from '/threejs/node_modules/three/examples/jsm/loaders/GLTFLoader.js';
	import { DRACOLoader } from '/threejs/node_modules/three/examples/jsm/loaders/DRACOLoader.js';
	

	let container;
	let cameraPersp, cameraOrtho, currentCamera;
	let orbit, scene, raycaster, renderer, control;
	const clock = new THREE.Clock();
			

	init();
	render();
	animate();

	function init() {

				container = document.getElementById( 'sculptur-2' );

				renderer = new THREE.WebGLRenderer( { alpha: true } );
				renderer.setPixelRatio( window.devicePixelRatio );
				renderer.setSize( window.innerWidth, window.innerHeight );
				renderer.setClearColor( 0x000cff, 1 ); // the default
				container.appendChild( renderer.domElement );

				const aspect = window.innerWidth / window.innerHeight;
				const posVar = window.innerWidth / 5;
				cameraPersp = new THREE.PerspectiveCamera( 45, aspect, 1, 100 );
				currentCamera = cameraPersp;

				currentCamera.position.set( 0, 0, 5 );
				currentCamera.lookAt( 0, 0, 0 );

				scene = new THREE.Scene();
				scene.fog = new THREE.Fog( 0x000000, 0, 80 );

				const hemiLight = new THREE.HemisphereLight( 0xff00fd, 0xff0000 );
				hemiLight.position.set( 0, 50, 0 );
				scene.add( hemiLight );

				const dracoLoader = new DRACOLoader();
				dracoLoader.setDecoderPath( '/threejs/node_modules/three/examples/js/libs/draco/gltf/' );

				const loader = new GLTFLoader();
				loader.setDRACOLoader( dracoLoader );	

				loader.load( '/threejs/path/calligraphie_2205-19-2.glb', function ( gltf )  {
					const model = gltf.scene;
					model.name = 'Letter'
					model.position.set( 0, 0, 0 );
					model.scale.set( 1, 1, 1 );
					scene.add( model );
				});								
				
				orbit = new OrbitControls( currentCamera, renderer.domElement );
				orbit.update();
				orbit.addEventListener( 'change', render );
				
				window.addEventListener( 'resize', onWindowResize );
			}

			function onWindowResize() {
				const aspect = window.innerWidth / window.innerHeight;
				cameraPersp.aspect = aspect;
				cameraPersp.updateProjectionMatrix();
				renderer.setSize( window.innerWidth, window.innerHeight );
				render();
			}

			function animate() {
			requestAnimationFrame( animate );
			renderer.render( scene, currentCamera );
			}

			function onPointerMove( event ) {
				pointer.x = ( event.clientX / window.innerWidth ) * 2 - 1;
				pointer.y = - ( event.clientY / window.innerHeight ) * 2 + 1;
			}

			function render() {
				renderer.render( scene, currentCamera );
			}


	